<template>
  <div>
    <the-header :header="classe.nom" />
    <div
      class="grid grid-cols-1 gap-5 md:grid-cols-2 justify-items-center items-center"
    >
      <div class>
        <router-link to="eleves">
          <home-page-button
            id="meseleves"
            title="Mes élèves"
            image="maclasse.svg"
            class="bg-jaune hover:bg-jauneHover"
          />
        </router-link>
      </div>
      <div>
        <router-link to="matieres">
          <home-page-button
            title="Mes matières"
            image="mesmatieres.svg"
            class="bg-vert hover:bg-vertHover"
          />
        </router-link>
      </div>

      <div>
        <router-link to="evaluer">
          <home-page-button
            title="J'évalue"
            image="evaluer.svg"
            class="bg-red-200 hover:bg-red-300"
          />
        </router-link>
      </div>
      <div>
        <router-link to="evaluations">
          <home-page-button
            title="Mes évaluations"
            image="mesevals.svg"
            class="bg-blue-200 hover:bg-blue-300"
          />
        </router-link>
      </div>
    </div>
  </div>
</template>
<script>
import HomePageButton from "../components/HomePageButton.vue";
import TheHeader from "../components/reusable/TheHeader.vue";

export default {
  components: { HomePageButton, TheHeader },
  name: "Home",

  created() {
    this.$store.dispatch("bindEleves", this.classe);
    this.$store.dispatch("bindMatieres", this.classe);
    this.$store.dispatch("bindCompetences", this.classe);
    this.$store.dispatch("bindSavoirs", this.classe);
    this.$store.dispatch("bindBulletins", this.classe);
    this.$store.dispatch("bindEvaluations", this.classe);
  },

  computed: {
    classe() {
      return this.$store.getters.getOneClasse(this.$route.params.classeid);
    },
  },
};
</script>
